using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
namespace StockParser
{
    public enum EffentNextType
    {
        /// <summary>
        /// κӰ 
        /// </summary>
        None,
        /// <summary>
        /// ǰΪ"select count(1) from .."ʽִУڻع
        /// </summary>
        WhenHaveContine,
        /// <summary>
        /// ǰΪ"select count(1) from .."ʽִУڻع
        /// </summary>
        WhenNoHaveContine,
        /// <summary>
        /// ǰӰ쵽0ع
        /// </summary>
        ExcuteEffectRows,
        /// <summary>
        /// ¼-ǰΪ"select count(1) from .."ʽִУڻع
        /// </summary>
        SolicitationEvent
    }   
    public class CommandInfo
    {
        public object ShareObject = null;
        public object OriginalData = null;
        event EventHandler _solicitationEvent;
        public event EventHandler SolicitationEvent
        {
            add
            {
                _solicitationEvent += value;
            }
            remove
            {
                _solicitationEvent -= value;
            }
        }
        public void OnSolicitationEvent()
        {
            if (_solicitationEvent != null)
            {
                _solicitationEvent(this,new EventArgs());
            }
        }
        public string CommandText;
        public System.Data.Common.DbParameter[] Parameters;
        public EffentNextType EffentNextType = EffentNextType.None;
        public CommandInfo()
        {

        }
        public CommandInfo(string sqlText, SqlParameter[] para)
        {
            this.CommandText = sqlText;
            this.Parameters = para;
        }
        public CommandInfo(string sqlText, SqlParameter[] para, EffentNextType type)
        {
            this.CommandText = sqlText;
            this.Parameters = para;
            this.EffentNextType = type;
        }
    }
}
